.cnemsgz-img-fluid {
    width: 100%;
    height: auto;
}

/*第一部分*/
.cnemsgz_one {
    width: 100%;
    height: auto;
    position: relative;
    padding: 0;
}

.cnemsgz_one_title {
    width: 100%;
    height: 50%;
    position: absolute;
    top: 25%;
    left: 0;
    transform: translateY(-25%);
    padding: 0;
}

.cnemsgz_one_title_p {
    font-size: 2.5rem;
    font-weight: 700;
    color: rgba(255, 255, 255, 1);
    line-height: 3.25rem;
    text-align: center;
}

.cnemsgz_one_title_p_context {
    font-size: 1.5rem;
    font-weight: 700;
    color: rgba(255, 255, 255, 1);
    line-height: 3.25rem;
    text-align: start;
}

.solve{
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 5%;
    .contain{
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        width: 100%;
        margin-bottom: 2%;
    }
    .secondItem{
        p::before{
            content: "•";
            margin-right: 5px;
        }
        p{
            font-size: 1.2rem;
        }
    }
    .footList{
        display: flex;
        align-items: center;
        justify-content: center;
        width: 90%;
        gap: 2%;
        .footItem{
            background-color: #F2F6FA;
            border-radius: 10px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
            width: 15%;
            display: flex;
            flex-direction: column;
            justify-content: center;
            padding: 1% 0.5%;
            height: 35vh;

            .image-wrapper{
                display: flex !important;
                align-items: center;
                justify-content: flex-start;
                img{
                    width: 100%;
                    height: auto;
                    border-radius: 10px;
                }
            }
         
        }
    }
}



/*第二部分*/
.cnemsgz_two {
    p{
        font-size: 1.5rem;
        color: rgb(10, 10, 10);
        margin-top: 20px;
        width: 80%;
    }
}

.cnemsgz_two_context {
    width: 100%;
    height: auto;
}

.card-list {
    padding: 60px 0 0 0;
    margin: 0;
    height: auto;
    position: relative;
    width: 100%;
}

.card-list-item {
    position: relative;
    z-index: 10;
    transition: transform 0.8s ease-in-out, width 0.8s ease-in-out, opacity 0.8s ease-in-out;
    will-change: transform, width, opacity;
}

.card-list-item-one {
    position: absolute;
    z-index: 9;
    top: 60px;
    transform: translateY(-30px) translateX(50px);
    width: calc(100% - 100px);

    .card-list__text {
        display: none;
    }

    .card-list__description {
        display: none;
    }
}

.card-list-item-two {
    position: absolute;
    z-index: 8;
    top: 60px;
    transform: translateY(-60px) translateX(100px);
    width: calc(100% - 200px);

    .card-list__text {
        display: none;
    }

    .card-list__description {
        display: none;
    }
}

.card-list__image {
    height: auto;
    display: block;
    border: 1px solid #e5e5ea;
    width: 100%;
}

.card-list__text {
    font-size: 2.5rem;
    font-weight: 700;
    color: white;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.card-list__description {
    margin: 30px auto 0 auto;
    width: 80%;
    height: auto;
    color: white;
    font-size: 18px;
}

/*第三部分*/
.cnemsgz_three,
.cnemsgz_four {
    /* background: #222222; */
    position: relative;
    padding: 0;
}

.cnemsgz_three_boxOne {
    width: 100%;
    height: auto;
    position: relative;
}

.cnemsgz_three_bg_modal {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.46);
    z-index: 1;
}

.cnemsgz_three_title {
    position: absolute;
    top: 10%;
    left: 50%;
    transform: translate(-50%, 0);
    color: rgba(255, 255, 255, 1);
    font-size: 2rem;
    font-weight: 700;
    z-index: 2;
}

.cnemsgz_three_boxTwo {
    width: 100%;
    height: auto;
    position: relative;
    z-index: 2;
    /*transform: translateY(-32%);*/
    /* margin-top: -43%; */
}

projectItems {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100%;
}

.projectItem {
    margin-bottom: 20px;
    color: rgba(255, 255, 255, 1);
    font-size: 1.5rem;
    font-weight: 700;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: Arial, sans-serif;
    overflow-x: hidden;
}

.slider-container {
    width: 100%;
    position: relative;
    overflow: hidden;
}

.slider-track {
    display: flex;
    transition: transform 0.5s ease;
    width: max-content;
}

/* 保持你调整后的窄版宽度 */
.slide {
    width: 30vw;
    margin-right: 3vw;
    flex-shrink: 0;
    .image-wrapper{
        height: 100%;
    }
}

.slide img {
    width: 100%;
    height: 100% ;
    object-fit: cover;
    border-radius: 10px;
    display: block;
}

.nav-btn {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background: rgba(0, 0, 0, 0.5);
    color: #fff;
    border: none;
    font-size: 24px;
    padding: 10px 14px;
    cursor: pointer;
    z-index: 10;
    border-radius: 6px;
}

.nav-btn:hover {
    background: rgba(0, 0, 0, 0.8);
}

.prev {
    left: 10px;
}

.next {
    right: 10px;
}

.cnemsgz_two_title {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100%;
    font-size: 2.5rem;
    font-weight: 700;
    color: rgb(10, 10, 10);
}

.Industry {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.IndustryDesc {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100%;
    font-size: 1.2rem;
    color: rgb(10, 10, 10);
    width: 100%;
}

.IndustryDesc p {
    width: 45%;
}

.image-wrapper {
    text-align: center;
}

.IndustryImg {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;



}

.IndustryImg img {
    width: 45%;
    height: auto;
    border-radius: 10px;
}

.IndustryAnother {
    width: 45%;
    display: flex;
    align-items: center;
    justify-content: space-around;
    height: 25vh;
}

.IndustryAnotherItem {
    width: 45%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    margin-bottom: 20px;
    background-color: rgba(255, 255, 255, 0.9);
    border-radius: 10px;
    height: 100%;
    padding: 20px;
    border-radius: 10px;
    margin-top: -20%;
    z-index: 2;

    h3 {
        font-size: 1.5rem;
        font-weight: 700;
    }

    p {
        font-size: 1.2rem;
        color: rgb(10, 10, 10);
        margin-top: 20px;
    }
}
.cnemsgz_two{
    width:80%;
    margin: 0 auto;
    text-align: center;

}

.chalengeItems {
    background-size: cover;
    background-position: center;
    display: flex;
    align-items: center;
    justify-content: space-around;
    width: 100%;
    height: 45vh;
}

.chalengeItem {
    border-right: 1px solid rgba(10, 10, 10, 0.2);
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 20px;
    width: 20%;

    h3 {
        font-size: 1.5rem;
        font-weight: 700;
    }

    p {
        font-size: 1.2rem;
        color: rgb(10, 10, 10);
        margin-top: 20px;
    }

    img {
        width: 20%;
        margin-bottom: 20px;
        height: auto;
        border-radius: 10px;
    }
}

.real_impact {
    width: 80%;
    height: auto;
    text-align: left;
    padding: 5% 0;

    .real_impact_title {
        font-size: 2rem;
        font-weight: 700;
        color: rgb(10, 10, 10);
        padding: 0 0 30px 0;
        text-align: center;
    }

    .real_impact_items {
        display: flex;
        margin-left: 10%;
        margin-right: 10%;
        flex-direction: column;
        align-items: start;
        justify-content: center;
        width: 80%;
    }

    .real_impact_item {
        margin-bottom: 20px;
        color: rgba(10, 10, 10, 1);
        font-size: 1.2rem;
        font-weight: 400;
        line-height: 1.5;

        p {
            margin-bottom: 10px;
        }

        p:last-child {
            margin-bottom: 0;
        }
    }

    .real_impact_imgs {
        display: flex;
        align-items: center;
        justify-content: center;
        width: 100%;
        margin-top: 30px;
    }
    .real_impact_imgs img {
        width: 35%;
        padding: 20px;
        margin-right: 10px;
        height: 35%;
        border-radius: 10px;
        background-color: #fff;
    }
}
.cnemsgz_patnership{
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    .cnemsgz_patnership-title{
        font-size: 2.5rem;
        font-weight: 700;
        color: rgb(10, 10, 10);
    }
    .cnemsgz_patnership_items{
        display: flex;
        align-items: flex-end;
        justify-content: center;
        width: 100%;
    }
    .cnemsgz_patnership_container_item{
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        margin-bottom: 20px;
        background-color: rgba(255, 255, 255, 0.9);
        width: 300px;
        padding: 1%;
        .image-wrapper{
            width: 100%;
            aspect-ratio: 1/1;
            overflow: hidden;
            border-radius: 10px;
        }
        

        img{
            width: 100%;
            height: 100%;
            object-fit: cover;
            margin-bottom: 20px;
          
        }
        
        &:nth-child(2) img {
            object-position: 100% 100%;
        }
    }
}
.cnemsgz_explore{
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 50px 0;

    .cnemsgz_explore-title{
        font-size: 2.5rem;
        font-weight: 700;
        color: rgb(10, 10, 10);
        margin-bottom: 20px;
        text-align: center;
    }
    .cnemsgz_explore-des{
        font-size: 1.2rem;
        font-weight: 400;
        color: rgb(10, 10, 10);
        margin-bottom: 60px;
        text-align: center;
        max-width: 80%;
    }
    .expllore_container{
        display: flex;
        align-items: center;
        justify-content: center;
        width: 80%;
        gap: 5%;
  
        
        .leftItems{
            width: 35%;
            display: flex;
            flex-direction: column;
            align-items: flex-start;
            justify-content: center;
            
            .leftlore_item{
                font-size: 1.2rem;
                font-weight: 400;
                color: rgb(10, 10, 10);
                display: flex;
                flex-direction: column;
                align-items: flex-start;
                justify-content: flex-start;
                gap: 20px;
                
                h1 {
                    font-size: 2rem;
                    font-weight: 700;
                    margin: 0;
                  
                }
                
                p {
                    margin: 0;
                    line-height: 1.5;
                    text-align: left;
                }
            }
        }
        .rightImg{
            width: 35%;
            display: flex;
            align-items: center;
            justify-content: center;
            
            img{
                width: 100%;
                height: auto;
                border-radius: 10px;
                box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
            }
        }
    }
}

.cnemsgz_three_boxTwo_row {
    margin: 0;
    align-items: center;
}

.cnemsgz_three_boxTwo_img {
    text-align: center;
}

.cnemsgz_three_boxTwo_text {
    display: flex;
}

.cnemsgz_three_boxTwo_text_left {
    font-size: 2.5rem;
    font-weight: 700;
    color: #194D70;
    margin-right: 15px;
}

.cnemsgz_three_boxTwo_text_right {
    display: flex;
    flex-direction: column;
    width: 80%;
}

.cnemsgz_three_boxTwo_text_right_title {
    color: #194D70;
    font-size: 1.75rem;
}

.cnemsgz_three_boxTwo_text_right_des {
    color: rgb(10, 10, 10);
    font-size: 1rem;
}

.cnemsgz_three_boxTwo_ship {
    width: 100%;
    margin: 0;
    padding-top: 60px;
}

.cnemsgz_three_boxTwo_ship_top {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
}

.cnemsgz_three_boxTwo_ship_top_line {
    width: 16%;
    height: 1px;
    border-top: 1px dashed rgba(187, 187, 187, 0.53);
}

.cnemsgz_three_boxTwo_ship_top_title {
    font-size: 2.5rem;
    color: rgba(255, 255, 255, 1);
    margin: 0 20px;
}

.cnemsgz_three_boxTwo_ship_middle {
    text-align: center;
    padding-top: 30px;
    color: rgb(251, 251, 251);
    font-size: 1rem;
}

.cnemsgz_three_boxTwo_ship_bottom {
    display: flex;
    align-items: center;
    justify-content: space-around;
    margin-top: 100px;
}

.swiper-prev-icon {
    -webkit-animation: bounceInLeft 1.5s infinite 1s;
    animation: bounceInLeft 1.5s infinite 1s;
    cursor: pointer;
}

.swiper-next-icon {
    -webkit-animation: bounceInRight 1.5s infinite 1s;
    animation: bounceInRight 1.5s infinite 1s;
    cursor: pointer;
}

.cnemsgz_three_boxTwo_ship_bottom_swiper {
    display: flex;
    width: 60%;
}

.cnemsgz_three_boxTwo_ship_bottom_swiper_item {
    width: calc(100% / 3);
    height: auto;
    box-shadow: 0 2px 6px 0px rgba(0, 0, 0, 0.4);
    position: relative;
    transition: transform 1.5s ease-in-out, opacity 1.5s ease-in-out;
    will-change: transform, opacity;
}

.swiper-prev {
    transform: translateX(25%);
}

.swiper-active {
    transform: translateY(-40px);
    z-index: 20;
}

.swiper-next {
    transform: translateX(-25%);
}

.cnemsgz_three_boxTwo_ship_bottom_swiper_item_img {
    width: 100%;
    height: auto;
}

.cnemsgz_three_boxTwo_ship_bottom_swiper_item_modal {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 10;
    background: rgba(0, 0, 0, 0.48);
}

.cnemsgz_three_boxTwo_ship_bottom_swiper_item_text {
    position: absolute;
    top: 20%;
    left: 0;
    width: 100%;
    text-align: center;
    color: rgba(255, 255, 255, 1);
    z-index: 11;
}

.cnemsgz_three_boxTwo_ship_bottom_swiper_item_text_title {
    font-size: 1.5rem;
    margin-bottom: 20px;
}

.cnemsgz_three_boxTwo_ship_bottom_swiper_item_text_des {
    font-size: 1rem;
}

@keyframes bounceInLeft {
    0% {
        opacity: 0;
        transform: translateX(40px);
    }

    100% {
        transform: translateX(0);
    }
}

@keyframes bounceInRight {
    0% {
        opacity: 0;
        transform: translateX(-40px);
    }

    100% {
        transform: translateX(0);
    }
}

/*第四部分*/
.cnemsgz_four {
    box-shadow: 0 6px 6px 4px rgba(0, 0, 0, 0.29);
    z-index: 2;
    overflow: visible !important;
}

.cnemsgz_four_model {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.56);
    z-index: 1;
}

.cnemsgz_four_container {
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;

    div {
        color: white;
        font-size: 1.25rem;
    }

    ul {
        padding-left: 1rem;
        color: white;
        font-size: 1.25rem;
    }
}

.cnemsgz_four_container-title {
    font-size: 2.5rem;
    font-weight: 700;
    color: white;
    margin-bottom: 0px;
}

/*第五部分*/
.cnemsgz_five {
    padding-top: 0;
    padding-bottom: 60px;
    overflow: visible !important;
    background: #222222;
    position: relative;
}

.cnemsgz_five_container {
    padding: 23% 8% 1px 8%;
    background: #464646;
    border-radius: 0 0 10px 10px;
    position: relative;

    p {
        color: white;
        font-size: 3rem;
    }

    ul {
        margin-top: 120px;
        padding-left: 1rem;
        color: white;
        font-size: 1.25rem;
    }
}

.cnemsgz_five_container_img {
    position: absolute;
    top: -120px;
    right: 60px;
    width: 60%;
    height: auto;
    z-index: 99;
}

.cnemsgz_five_container_explore {
    margin-top: 100px;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    margin-left: 0;
    margin-right: 0;
}

.cnemsgz_five_container_explore_line {
    height: 1px;
    border: 1px dashed rgba(187, 187, 187, 0.53);
}

.cnemsgz_five_container_explore_word {
    font-size: 2.5rem;
    color: rgba(255, 255, 255, 1);
    text-align: center;
}

.cnemsgz_five_container_explore_des {
    color: rgba(111, 111, 111, 1);
    font-size: 1.25rem;
    text-align: center;
}

.cnemsgz_five_container_explore_other {
    margin-top: 80px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.cnemsgz_five_container_explore_other_item {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    margin-bottom: 100px;
    width: 43%;
}

.cnemsgz_five_container_explore_other_item_img {
    width: 36px;
    height: auto;
}

.cnemsgz_five_container_explore_other_item_word {
    font-size: 1.5rem;
    color: rgba(255, 255, 255, 1);
    margin-left: 20px;

    &:hover {
        color: rgba(255, 255, 255, 1) !important;
    }
}

/*移动端响应式样式*/
@media screen and (max-width: 768px) {

    .cnemsgz_one_title_p {
        font-size: 1.25rem;
        line-height: 1.5rem;
        margin-bottom: 0.5rem;
    }

    .card-list__text {
        font-size: 1.25rem;
    }

    .card-list__description {
        font-size: 14px;
    }

    .cnemsgz_three_title {
        font-size: 1.5rem;
    }

    .cnemsgz_three_boxTwo {
        margin-top: -33%;
    }

    .cnemsgz_three_boxTwo_text {
        justify-content: center;
    }

    .cnemsgz_three_boxTwo_text_right {
        width: 100%;
    }

    .cnemsgz_three_boxTwo_text_left {
        font-size: 1.5rem;
    }

    .cnemsgz_three_boxTwo_text_right_title {
        font-size: 1.25rem;
    }

    .cnemsgz_three_boxTwo_ship_top_title {
        font-size: 1.5rem;
    }

    .cnemsgz_three_boxTwo_ship_bottom {
        .swiper-prev-icon {
            width: 40px;
        }

        .swiper-next-icon {
            width: 40px;
        }
    }

    .cnemsgz_three_boxTwo_ship_bottom_swiper_item_text {
        top: 10px;
    }

    .cnemsgz_three_boxTwo_ship_bottom_swiper_item_text_title {
        font-size: 14px;
        line-height: 20px;
        margin-bottom: 5px;
    }

    .cnemsgz_three_boxTwo_ship_bottom_swiper_item_text_des {
        font-size: 12px;
        line-height: 1rem;
    }

    .cnemsgz_three_boxTwo_ship_bottom_swiper {
        width: calc(100% - 100px);
    }

    .cnemsgz_four_model {
        overflow-y: auto;
    }

    .cnemsgz_four_container-title {
        font-size: 1.5rem;
        line-height: 1.75rem;
    }

    .cnemsgz_four_container {
        justify-content: flex-start;
    }

    .cnemsgz_four_container {
        justify-content: flex-start;
        padding-top: 20px;

        div {
            color: white;
            font-size: 12px;
        }

        ul {
            font-size: 12px;
        }
    }

    .cnemsgz_five_container_img {
        position: absolute;
        top: -40px;
        right: 5px;
        width: 60%;
        height: auto;
        z-index: 99;
    }

    .cnemsgz_five_container {
        padding: 30% 8% 1px 8%;
    }

    .cnemsgz_five_container {
        p {
            color: white;
            font-size: 1.5rem;
        }

        ul {
            margin-top: 60px;
            padding-left: 1rem;
            color: white;
            font-size: 16px;
        }
    }

    .cnemsgz_five_container_explore {
        margin-top: 60px;
    }

    .cnemsgz_five_container_explore_word {
        font-size: 1.5rem;
        color: rgba(255, 255, 255, 1);
        text-align: center;
    }

    .cnemsgz_five_container_explore_des {
        font-size: 14px;
    }

    .cnemsgz_five_container_explore_other {
        margin-top: 60px;
    }

    .cnemsgz_five_container_explore_other_item {
        width: 55%;
        margin-bottom: 60px;
    }

    .cnemsgz_five_container_explore_other_item_img {
        width: 24px;
        height: auto;
    }

    .cnemsgz_five_container_explore_other_item_word {
        font-size: 1rem;
        color: rgba(255, 255, 255, 1);
        margin-left: 20px;
    }

}

@media screen and (min-width: 768px) and (max-width: 1024px) {
    .cnemsgz_one_title_p {
        font-size: 2.5rem;
    }

    .cnemsgz_three_boxTwo_text {
        justify-content: center;
    }

    .cnemsgz_three_boxTwo_text_right {
        width: 100%;
    }

    .cnemsgz_three_boxTwo_text_left {
        font-size: 1.5rem;
    }

    .cnemsgz_three_boxTwo_text_right_title {
        font-size: 1.25rem;
    }

    .cnemsgz_four_container-title {
        font-size: 2rem;
    }

    .cnemsgz_five_container_img {
        top: -60px;
        right: 10px;
    }

    .cnemsgz_five_container {
        ul {
            margin-top: 80px;
        }
    }

    .cnemsgz_five_container_explore {
        margin-top: 80px;
    }

    .cnemsgz_five_container_explore_other_item {
        margin-bottom: 80px;
        width: 60%;
    }
}

/* 真实影响部分图片样式 */
.real_impact_imgs {
    display: flex;
    gap: 10px;
    width: 100%;
    justify-content: center;
}

.real_impact_imgs img {
    width: 200px;
    height: 200px;
    object-fit: cover;
    border-radius: 4px;
}

.introduce{
    width: 80%;
    margin: 0 auto;
    text-align: center;
    .head{
        height: 30%;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        gap: 20px;
        p{
            font-size: 1rem;
            line-height: 1.75rem;
            font-weight: 700;
        }
    }
}


.renepoly-solution-content {
    display: flex;
    flex-direction: column;
    gap: 25px;

    a {
        transition: 0s !important;
    }
}

.renepoly-solution-content-item {
    display: flex;
    gap: 25px;
    flex-wrap: wrap;
}
.renepoly-solution-content-item-title{
    text-align: start;
}
.renepoly-solution-content-item-box {
    position: relative;

    .image-wrapper{
        width: 100%;
    }

    &:hover {
        transition: all 0.3s ease-in-out;

        .renepoly-solution-content-item-title-btn {
            visibility: visible;
        }
    }
}

.renepoly-solution-content-item-container {
    border-radius: 12px;
    position: relative;
    width: 100%;
    height: auto;
    display: inline-block;
}

.renepoly-solution-content-item-bg {
    width: 100%;
    max-width: 100%;
}

.renepoly-solution-content-item-content {
    position: absolute;
    top: 70px;
    left: 40px;
}

.renepoly-solution-content-item-title {
    font-size: 26px;
    line-height: 40px;
    color: #1968AF;
    font-weight: 700;
    margin-bottom: 20px;
    position: relative;
    z-index: 10;
}

.renepoly-solution-content-item-title-des {
    width: 60%;
    line-height: 23px;
    color: #000000;
    font-size: 18px;
    margin-bottom: 40px;
    position: relative;
    z-index: 10;
}

.renepoly-solution-content-item-title-short-des {
    color: #000000;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    width: 50%;
    line-height: 23px;
    font-size: 18px;
    margin-bottom: 40px;
    position: relative;
    z-index: 10;
}

.renepoly-solution-content-item-title-btn {
    border-radius: 6px;
    background-color: rgba(25, 77, 112, 1);
    padding: 12px 40px;
    color: rgba(255, 255, 255, 1);
    font-size: 16px;
    position: relative;
    z-index: 10;
    visibility: hidden;

    &:hover {
        color: rgba(255, 255, 255, 1);
    }
}

/*默认情况*/
.renepoly-solution-content-item-one,
.renepoly-solution-content-item-four,
.renepoly-solution-content-item-five {
    flex: 2.91;

    .renepoly-solution-content-item-one-short, .renepoly-solution-content-item-four-short, .renepoly-solution-content-item-five-short {
        opacity: 0;
        position: absolute;
        top: 0;
        left: 0;

    }
}

.renepoly-solution-content-item-two,
.renepoly-solution-content-item-three,
.renepoly-solution-content-item-six {
    flex: 2;

    .renepoly-solution-content-item-two-all, .renepoly-solution-content-item-three-all, .renepoly-solution-content-item-six-all {
        opacity: 0;
        position: absolute;
        top: 0;
        left: 0;
    }
}


/* 当鼠标滑过模块2时，模块2变为flex:3，模块1变为flex:2 */
.renepoly-solution-content-item:hover .renepoly-solution-content-item-two {
    flex: 2.91;

    .renepoly-solution-content-item-two-all {
        opacity: 1;
        position: relative;
    }

    .renepoly-solution-content-item-two-short {
        opacity: 0;
        position: absolute;
        top: 0;
        left: 0;
    }
}

.renepoly-solution-content-item:hover .renepoly-solution-content-item-one {
    flex: 2;

    .renepoly-solution-content-item-one-all {
        opacity: 0;
        position: absolute;
        top: 0;
        left: 0;
    }

    .renepoly-solution-content-item-one-short {
        opacity: 1;
        position: relative;
    }
}

.renepoly-solution-content-item-one:hover {
    flex: 2.91 !important;

    .renepoly-solution-content-item-one-all {
        opacity: 1 !important;
        position: relative !important;
    }

    .renepoly-solution-content-item-one-short {
        opacity: 0 !important;
        position: absolute !important;
        top: 0;
        left: 0;
    }
}

.renepoly-solution-content-item-one:hover ~ .renepoly-solution-content-item-two {
    flex: 2 !important;

    .renepoly-solution-content-item-two-all {
        opacity: 0 !important;
        position: absolute !important;
        top: 0;
        left: 0;
    }

    .renepoly-solution-content-item-two-short {
        opacity: 1 !important;
        position: relative !important;
    }
}


/* 当鼠标滑过模块3时，模块3变为flex:3，模块4变为flex:2 */
.renepoly-solution-content-item-three:hover {
    flex: 2.91 !important;

    .renepoly-solution-content-item-three-all {
        opacity: 1 !important;
        position: relative !important;
    }

    .renepoly-solution-content-item-three-short {
        opacity: 0 !important;
        position: absolute !important;
        top: 0;
        left: 0;
    }
}

.renepoly-solution-content-item-three:hover ~ .renepoly-solution-content-item-four {
    flex: 2 !important;

    .renepoly-solution-content-item-four-all {
        opacity: 0 !important;
        position: absolute !important;
        top: 0;
        left: 0;
    }

    .renepoly-solution-content-item-four-short {
        opacity: 1 !important;
        position: relative !important;
    }
}


/* 当鼠标滑过模块6时，模块6变为flex:3，模块5变为flex:2 */
.renepoly-solution-content-item:hover .renepoly-solution-content-item-six {
    flex: 2.91;

    .renepoly-solution-content-item-six-all {
        opacity: 1;
        position: relative;
    }

    .renepoly-solution-content-item-six-short {
        opacity: 0;
        position: absolute;
        top: 0;
        left: 0;
    }
}

.renepoly-solution-content-item:hover .renepoly-solution-content-item-five {
    flex: 2;

    .renepoly-solution-content-item-five-all {
        opacity: 0;
        position: absolute;
        top: 0;
        left: 0;
    }

    .renepoly-solution-content-item-five-short {
        opacity: 1;
        position: relative;
    }
}

.renepoly-solution-content-item-five:hover {
    flex: 2.91 !important;

    .renepoly-solution-content-item-five-all {
        opacity: 1 !important;
        position: relative !important;
    }

    .renepoly-solution-content-item-five-short {
        opacity: 0 !important;
        position: absolute !important;
        top: 0;
        left: 0;
    }
}

.renepoly-solution-content-item-five:hover ~ .renepoly-solution-content-item-six {
    flex: 2 !important;

    .renepoly-solution-content-item-six-all {
        opacity: 0 !important;
        position: absolute !important;
        top: 0;
        left: 0;
    }

    .renepoly-solution-content-item-six-short {
        opacity: 1 !important;
        position: relative !important;
    }
}

/* 响应式调整 */
@media screen and (max-width: 768px) {
    .real_impact_imgs img {
        width: 150px;
        height: 150px;
    }
    
    /* 合作伙伴部分移动端适配 */
    .cnemsgz_patnership_items {
        flex-direction: column;
        align-items: center;
        gap: 20px;
    }
    
    .cnemsgz_patnership_container_item {
        width: 80%;
    }
    
    /* 轮播部分移动端适配 */
    .slide {
        width: 80vw;
        margin-right: 5vw;
    }
    
    /* 行业部分移动端适配 */
    .IndustryDesc p {
        width: 90%;
        text-align: center;
    }
    
    .IndustryImg {
        flex-direction: column;
        gap: 20px;
    }
    
    .IndustryImg img {
        width: 90%;
    }
    
    .IndustryAnother {
        width: 90%;
        flex-direction: column;
        height: auto;
        gap: 20px;
    }
    
    .IndustryAnotherItem {
        width: 100%;
        margin-top: 0;
    }
    
    /* 挑战部分移动端适配 */
    .chalengeItems {
        flex-direction: column;
        height: auto;
        gap: 30px;
        padding: 30px 0;
    }
    
    .chalengeItem {
        width: 90%;
        border-right: none;
        border-bottom: 1px solid rgba(10, 10, 10, 0.2);
        padding-bottom: 30px;
    }
    
    /* 探索部分移动端适配 */
    .cnemsgz_explore .expllore_container {
        flex-direction: column;
        width: 90%;
        gap: 30px;
    }
    
    .cnemsgz_explore .leftItems {
        width: 100%;
    }
    
    .cnemsgz_explore .rightImg {
        width: 100%;
    }
    
    /* 真实影响部分移动端适配 */
    .real_impact {
        height: auto;
        padding: 20px 0;
        p{
            font-size: 1.25rem;
            flex-wrap: wrap; 
        }
    }
    
    .real_impact_items {
        margin-left: 5%;
 
    }
    
    /* 标题字体大小调整 */
    .cnemsgz_two_title,
    .cnemsgz_patnership-title,
    .cnemsgz_explore-title {
        font-size: 1.5rem;
    }
    
    /* 正文字体大小调整 */
    .IndustryDesc,
    .real_impact_item,
    .cnemsgz_explore-des {
        font-size: 1rem;
    }
    
    /* 解决方案部分移动端适配 */
    .renepoly-solution-content-item-content {
        top: calc(70 / 1920 * 100vw);
        left: calc(40 / 1920 * 100vw);
    }
    
    .renepoly-solution-content-item-title {
        font-size: 14px;
        line-height: 16px;
        color: #1968AF;
    }
    
    .renepoly-solution-content-item-title-des {
        font-size: 12px;
        line-height: 14px;
        color: #000000;
    }
    
    .renepoly-solution-content-item-title-short-des {
        line-height: 14px;
        font-size: 12px;
        margin-bottom: calc(40 / 1920 * 100vw);
        color: #000000;
    }
    
    .renepoly-solution-content {
        gap: 20px;
    }
    
    .renepoly-solution-content-item {
        gap: 20px;
    }
}

@media screen and (min-width: 768px) and (max-width: 1024px) {
    /* 合作伙伴部分平板适配 */
    .cnemsgz_patnership_container_item {
        width: 250px;
    }
    
    /* 轮播部分平板适配 */
    .slide {
        width: 40vw;
        margin-right: 3vw;
    }
    
    /* 行业部分平板适配 */
    .IndustryDesc p {
        width: 80%;
    }
    
    .IndustryImg img {
        width: 40%;
    }
    
    /* 挑战部分平板适配 */
    .chalengeItem {
        width: 28%;
    }
    
    /* 探索部分平板适配 */
    .cnemsgz_explore .expllore_container {
        width: 80%;
    }
    
    /* 解决方案部分平板适配 */
    .renepoly-solution-content-item-content {
        top: calc(70 / 1920 * 100vw);
    }
    
    .renepoly-solution-content-item-title {
        font-size: 22px;
        line-height: 30px;
        margin-bottom: calc(20 / 1920 * 100vw);
        color: #1968AF;
    }
    
    .renepoly-solution-content-item-title-des {
        margin-bottom: calc(40 / 1920 * 100vw);
        font-size: 16px;
        color: #000000;
    }
    
    .renepoly-solution-content-item-title-short-des {
        font-size: 16px;
        color: #000000;
    }
}